[sword-devel] [bt-devel] Bibletime 2.0.alpha3 FTBFS with sword 1.6.0RC1 library

Eeli Kaikkonen eekaikko at mail.student.oulu.fi
Fri Apr 17 06:53:19 MST 2009

Eeli Kaikkonen wrote:
> Troy A. Griffitts wrote:
>> Jonathan Marsden wrote:
>>> I'm seeing a problem building BT 2.0.alpha3 with the new 1.6.0RC1 SWORD
>>> /home/jonathan/packages/sword/bibletime/export-rc1/src/backend/managers/cswordbackend.cpp:498: 
>>> error: ‘sysconfig’ was not declared in this scope
>> My Bad.  I changed this public member to be proper camelCase.  As I 
>> don't believe this was being set properly in the last few revisions, I 
>> didn't think anyone was actually referencing it.  The fix is to simply:
>> - sysconfig
>> + sysConfig
> I think Jonathan can just change this line, but as soon as someone tells
> how to #ifdef the Sword versions I can change it in svn.

For several reason I just updated to, or actually installed from 
scratch, Kubuntu Jauntu (soon to be released 9.04). Therefore I could 
also install sword 1.6rc package. I have fixed the above mentioned 
problem, though not committed it yet.

I also added setUserDisclaimerConfirmed(true) because the install 
manager didn't work without it.

Now I found out that the command line installmgr can download a master 
repo list. Can someone tell me how to do it from BT, or do I have to 
read the source again? Installmgr.h didn't give any answer.

BTW, this is a great enhancement. I quite often delete my bt/sword 
installations and adding a new repo has been very annoying.

Releasing a RC was also very good idea.

--Eeli Kaikkonen

More information about the sword-devel mailing list